Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Failed to emerge sys-devel/gcc-4.5.4 when running bootstrap
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
flybot
n00b
n00b


Joined: 12 Oct 2012
Posts: 1

PostPosted: Sat Oct 13, 2012 5:35 am    Post subject: Failed to emerge sys-devel/gcc-4.5.4 when running bootstrap Reply with quote

I was trying to bootstrap a fresh install of gentoo but I could not get gcc to install
I did emerge --sync && emerge -uDNav --with-bdeps=y @world
to ensure every thing is upto date but it did not help. Any advice?

Bash output:

ERROR: sys-devel/gcc-4.5.4 failed (compile phase):
* emake failed with bootstrap-lean
*
* Call stack:
* ebuild.sh, line 85: Called src_compile
* environment, line 4044: Called toolchain_src_compile
* environment, line 4695: Called gcc_do_make
* environment, line 2362: Called die
* The specific snippet of code:
* emake LDFLAGS="${LDFLAGS}" STAGE1_CFLAGS="${STAGE1_CFLAGS}" LIBPATH="${LIBPATH}" BOOT_CFLAGS="${BOOT_CFLAGS}" ${GCC_MAKE_TARGET} || die "emake failed with ${GCC_MAKE_TARGET}";
*
* If you need support, post the output of `emerge --info '=sys-devel/gcc-4.5.4'`,
* the complete build log and the output of `emerge -pqv '=sys-devel/gcc-4.5.4'`.
*
* Please include /var/tmp/portage/sys-devel/gcc-4.5.4/work/build/gcc-build-logs.tar.bz2 in your bug report
*
* The complete build log is located at '/var/tmp/portage/sys-devel/gcc-4.5.4/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/sys-devel/gcc-4.5.4/temp/environment'.
* Working directory: '/var/tmp/portage/sys-devel/gcc-4.5.4/work/build'
* S: '/var/tmp/portage/sys-devel/gcc-4.5.4/work/build'

>>> Failed to emerge sys-devel/gcc-4.5.4, Log file:

>>> '/var/tmp/portage/sys-devel/gcc-4.5.4/temp/build.log'

* Messages for package sys-devel/gcc-4.5.4:

* ERROR: sys-devel/gcc-4.5.4 failed (compile phase):
* emake failed with bootstrap-lean
*
* Call stack:
* ebuild.sh, line 85: Called src_compile
* environment, line 4044: Called toolchain_src_compile
* environment, line 4695: Called gcc_do_make
* environment, line 2362: Called die
* The specific snippet of code:
* emake LDFLAGS="${LDFLAGS}" STAGE1_CFLAGS="${STAGE1_CFLAGS}" LIBPATH="${LIBPATH}" BOOT_CFLAGS="${BOOT_CFLAGS}" ${GCC_MAKE_TARGET} || die "emake failed with ${GCC_MAKE_TARGET}";
*
* If you need support, post the output of `emerge --info '=sys-devel/gcc-4.5.4'`,
* the complete build log and the output of `emerge -pqv '=sys-devel/gcc-4.5.4'`.
*
* Please include /var/tmp/portage/sys-devel/gcc-4.5.4/work/build/gcc-build-logs.tar.bz2 in your bug report
*
* The complete build log is located at '/var/tmp/portage/sys-devel/gcc-4.5.4/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/sys-devel/gcc-4.5.4/temp/environment'.
* Working directory: '/var/tmp/portage/sys-devel/gcc-4.5.4/work/build'
* S: '/var/tmp/portage/sys-devel/gcc-4.5.4/work/build'




log files:
# emerge --info '=sys-devel/gcc-4.5.4'
Portage 2.1.11.9 (hardened/linux/amd64, gcc-4.5.4, glibc-2.15-r2, 3.4.9-gentoo x86_64)
=================================================================
System Settings
=================================================================
System uname: Linux-3.4.9-gentoo-x86_64-Intel-R-_Core-TM-_i7-3610QM_CPU_@_2.30GHz-with-gentoo-2.1
Timestamp of tree: Fri, 12 Oct 2012 17:15:01 +0000
app-shells/bash: 4.2_p37
dev-lang/python: 3.2.3
dev-util/pkgconfig: 0.27.1
sys-apps/baselayout: 2.1-r1
sys-apps/openrc: 0.9.8.4
sys-apps/sandbox: 2.5
sys-devel/autoconf: 2.68
sys-devel/automake: 1.11.6
sys-devel/binutils: 2.22-r1
sys-devel/gcc: 4.5.4
sys-devel/gcc-config: 1.7.3
sys-devel/libtool: 2.4-r1
sys-devel/make: 3.82-r3
sys-kernel/linux-headers: 3.4-r2 (virtual/os-headers)
sys-libs/glibc: 2.15-r2
Repositories: gentoo
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=native"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://gentoo.cites.uiuc.edu/pub/gentoo/ ftp://gentoo.cites.uiuc.edu/pub/gentoo/ http://lug.mtu.edu/gentoo/ http://mirror.iawnet.sandia.gov/gentoo/ http://ftp.ucsb.edu/pub/mirrors/linux/gentoo/ http://gentoo.cites.uiuc.edu/pub/gentoo/ ftp://gentoo.cites.uiuc.edu/pub/gentoo/"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.us.gentoo.org/gentoo-portage"
USE="acl amd64 berkdb bzip2 cli cracklib crypt cups cxx dri gdbm gpm hardened iconv ipv6 justify mmx modules mudflap multilib ncurses nls nptl openmp pam pax_kernel pcre pppd readline session sse sse2 ssl tcpd unicode urandom zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga neomagic nouveau nv r128 radeon savage sis tdfx trident vesa via vmware dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset: CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
Package Settings
=================================================================

sys-devel/gcc-4.5.4 was built with the following:
USE="cxx hardened mudflap (multilib) nls nptl openmp (-altivec) -bootstrap -build -doc (-fixed-point) -fortran -gcj -graphite -gtk (-libssp) -lto -multislot -nocxx -nopie -nossp -objc -objc++ -objc-gc -test -vanilla"
CFLAGS="-O2 -pipe"
CXXFLAGS="-O2 -pipe"
Back to top
View user's profile Send private message
Hu
Watchman
Watchman


Joined: 06 Mar 2007
Posts: 8979

PostPosted: Sat Oct 13, 2012 5:33 pm    Post subject: Reply with quote

Based on the output provided, it looks like the make target bootstrap-lean failed to build. However, we cannot tell why without seeing an actual error message.
Back to top
View user's profile Send private message
theoboldt
n00b
n00b


Joined: 20 Mar 2012
Posts: 3
Location: Stuttgart, Germany

PostPosted: Sun Nov 04, 2012 4:37 pm    Post subject: ERROR: sys-devel/gcc-4.5.4 failed (compile phase): * emake f Reply with quote

I have a similar issue and need help. I'm sorry, I never wrote such a "bug-report" before - I always found answers and solutions in the internet. But at this issue I havn't found a working solution.

Code:
...
libtool: link: (cd ".libs" && rm -f "libstdc++.so.6" && ln -s "libstdc++.so.6.0.14" "libstdc++.so.6")
libtool: link: (cd ".libs" && rm -f "libstdc++.so" && ln -s "libstdc++.so.6.0.14" "libstdc++.so")
libtool: link: (cd .libs/libstdc++.lax/libsupc++convenience.a && /usr/i686-pc-linux-gnu/bin/ar x "/var/tmp/portage/sys-devel/gcc-4.5.4/work/build/i686-pc-linux-gnu/libstdc++-v3/src/../libsupc++/.libs/libsupc
++convenience.a")
libtool: link: /usr/i686-pc-linux-gnu/bin/ar rc .libs/libstdc++.a  atomic.o bitmap_allocator.o pool_allocator.o mt_allocator.o codecvt.o compatibility.o compatibility-c++0x.o compatibility-debug_list.o compa
tibility-list.o complex_io.o ctype.o debug.o functexcept.o globals_io.o hash_c++0x.o hash_tr1.o hashtable_c++0x.o hashtable_tr1.o ios.o ios_failure.o ios_init.o ios_locale.o limits.o list.o debug_list.o loca
le.o locale_init.o locale_facets.o localename.o math_stubs_float.o math_stubs_long_double.o stdexcept.o strstream.o system_error.o tree.o allocator-inst.o concept-inst.o fstream-inst.o ext-inst.o ios-inst.o
iostream-inst.o istream-inst.o istream.o locale-inst.o misc-inst.o ostream-inst.o sstream-inst.o streambuf-inst.o streambuf.o string-inst.o valarray-inst.o wlocale-inst.o wstring-inst.o mutex.o condition_var
iable.o chrono.o thread.o future.o atomicity.o codecvt_members.o collate_members.o ctype_members.o messages_members.o monetary_members.o numeric_members.o time_members.o basic_file.o c++locale.o parallel_lis
t.o parallel_settings.o compatibility-parallel_list.o  .libs/libstdc++.lax/libsupc++convenience.a/fundamental_type_info.o .libs/libstdc++.lax/libsupc++convenience.a/bad_typeid.o .libs/libstdc++.lax/libsupc++
convenience.a/eh_term_handler.o .libs/libstdc++.lax/libsupc++convenience.a/eh_globals.o .libs/libstdc++.lax/libsupc++convenience.a/del_op.o .libs/libstdc++.lax/libsupc++convenience.a/eh_alloc.o .libs/libstdc
++.lax/libsupc++convenience.a/del_opvnt.o .libs/libstdc++.lax/libsupc++convenience.a/pure.o .libs/libstdc++.lax/libsupc++convenience.a/tinfo2.o .libs/libstdc++.lax/libsupc++convenience.a/cp-demangle.o .libs/
libstdc++.lax/libsupc++convenience.a/class_type_info.o .libs/libstdc++.lax/libsupc++convenience.a/vmi_class_type_info.o .libs/libstdc++.lax/libsupc++convenience.a/del_opnt.o .libs/libstdc++.lax/libsupc++conv
enience.a/dyncast.o .libs/libstdc++.lax/libsupc++convenience.a/vec.o .libs/libstdc++.lax/libsupc++convenience.a/eh_unex_handler.o .libs/libstdc++.lax/libsupc++convenience.a/tinfo.o .libs/libstdc++.lax/libsup
c++convenience.a/new_handler.o .libs/libstdc++.lax/libsupc++convenience.a/pointer_type_info.o .libs/libstdc++.lax/libsupc++convenience.a/enum_type_info.o .libs/libstdc++.lax/libsupc++convenience.a/guard.o .l
ibs/libstdc++.lax/libsupc++convenience.a/pbase_type_info.o .libs/libstdc++.lax/libsupc++convenience.a/eh_aux_runtime.o .libs/libstdc++.lax/libsupc++convenience.a/atexit_arm.o .libs/libstdc++.lax/libsupc++con
venience.a/eh_ptr.o .libs/libstdc++.lax/libsupc++convenience.a/si_class_type_info.o .libs/libstdc++.lax/libsupc++convenience.a/eh_call.o .libs/libstdc++.lax/libsupc++convenience.a/del_opv.o .libs/libstdc++.l
ax/libsupc++convenience.a/new_opv.o .libs/libstdc++.lax/libsupc++convenience.a/array_type_info.o .libs/libstdc++.lax/libsupc++convenience.a/function_type_info.o .libs/libstdc++.lax/libsupc++convenience.a/eh_
catch.o .libs/libstdc++.lax/libsupc++convenience.a/new_opvnt.o .libs/libstdc++.lax/libsupc++convenience.a/pmem_type_info.o .libs/libstdc++.lax/libsupc++convenience.a/new_op.o .libs/libstdc++.lax/libsupc++con
venience.a/vterminate.o .libs/libstdc++.lax/libsupc++convenience.a/eh_type.o .libs/libstdc++.lax/libsupc++convenience.a/eh_throw.o .libs/libstdc++.lax/libsupc++convenience.a/eh_personality.o .libs/libstdc++.
lax/libsupc++convenience.a/eh_arm.o .libs/libstdc++.lax/libsupc++convenience.a/eh_terminate.o .libs/libstdc++.lax/libsupc++convenience.a/bad_cast.o .libs/libstdc++.lax/libsupc++convenience.a/eh_exception.o .
libs/libstdc++.lax/libsupc++convenience.a/new_opnt.o
libtool: link: /usr/i686-pc-linux-gnu/bin/ranlib .libs/libstdc++.a
libtool: link: rm -fr .libs/libstdc++.lax
libtool: link: ( cd ".libs" && rm -f "libstdc++.la" && ln -s "../libstdc++.la" "libstdc++.la" )
make[4]: Leaving directory `/var/tmp/portage/sys-devel/gcc-4.5.4/work/build/i686-pc-linux-gnu/libstdc++-v3/src'
Making all in po
make[4]: Entering directory `/var/tmp/portage/sys-devel/gcc-4.5.4/work/build/i686-pc-linux-gnu/libstdc++-v3/po'
msgfmt -o de.mo /var/tmp/portage/sys-devel/gcc-4.5.4/work/gcc-4.5.4/libstdc++-v3/po/de.po
msgfmt: error while loading shared libraries: libicuuc.so.48: cannot open shared object file: No such file or directory
make[4]: *** [de.mo] Fehler 127
make[4]: Leaving directory `/var/tmp/portage/sys-devel/gcc-4.5.4/work/build/i686-pc-linux-gnu/libstdc++-v3/po'
make[3]: *** [all-recursive] Fehler 1
make[3]: Leaving directory `/var/tmp/portage/sys-devel/gcc-4.5.4/work/build/i686-pc-linux-gnu/libstdc++-v3'
make[2]: *** [all] Fehler 2
make[2]: Leaving directory `/var/tmp/portage/sys-devel/gcc-4.5.4/work/build/i686-pc-linux-gnu/libstdc++-v3'
make[1]: *** [all-target-libstdc++-v3] Fehler 2
make[1]: Leaving directory `/var/tmp/portage/sys-devel/gcc-4.5.4/work/build'
make: *** [bootstrap-lean] Fehler 2
emake failed
 * ERROR: sys-devel/gcc-4.5.4 failed (compile phase):
 *   emake failed with bootstrap-lean
 *
 * Call stack:
 *     ebuild.sh, line   85:  Called src_compile
 *   environment, line 4038:  Called toolchain_src_compile
 *   environment, line 4689:  Called gcc_do_make
 *   environment, line 2356:  Called die
 * The specific snippet of code:
 *       emake LDFLAGS="${LDFLAGS}" STAGE1_CFLAGS="${STAGE1_CFLAGS}" LIBPATH="${LIBPATH}" BOOT_CFLAGS="${BOOT_CFLAGS}" ${GCC_MAKE_TARGET} || die "emake failed with ${GCC_MAKE_TARGET}";
 *
 * If you need support, post the output of `emerge --info '=sys-devel/gcc-4.5.4'`,
 * the complete build log and the output of `emerge -pqv '=sys-devel/gcc-4.5.4'`.
 *
 * Please include /var/tmp/portage/sys-devel/gcc-4.5.4/work/build/gcc-build-logs.tar.bz2 in your bug report
 *
 * The complete build log is located at '/var/tmp/portage/sys-devel/gcc-4.5.4/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sys-devel/gcc-4.5.4/temp/environment'.
 * Working directory: '/var/tmp/portage/sys-devel/gcc-4.5.4/work/build'
 * S: '/var/tmp/portage/sys-devel/gcc-4.5.4/work/build'
 * Messages for package sys-devel/gcc-4.5.4:
 * ERROR: sys-devel/gcc-4.5.4 failed (compile phase):
 *   emake failed with bootstrap-lean
 *
 * Call stack:
 *     ebuild.sh, line   85:  Called src_compile
 *   environment, line 4038:  Called toolchain_src_compile
 *   environment, line 4689:  Called gcc_do_make
 *   environment, line 2356:  Called die
 * The specific snippet of code:
 *       emake LDFLAGS="${LDFLAGS}" STAGE1_CFLAGS="${STAGE1_CFLAGS}" LIBPATH="${LIBPATH}" BOOT_CFLAGS="${BOOT_CFLAGS}" ${GCC_MAKE_TARGET} || die "emake failed with ${GCC_MAKE_TARGET}";
 *
 * If you need support, post the output of `emerge --info '=sys-devel/gcc-4.5.4'`,
 * the complete build log and the output of `emerge -pqv '=sys-devel/gcc-4.5.4'`.
 *
 * Please include /var/tmp/portage/sys-devel/gcc-4.5.4/work/build/gcc-build-logs.tar.bz2 in your bug report
 *
 * The complete build log is located at '/var/tmp/portage/sys-devel/gcc-4.5.4/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sys-devel/gcc-4.5.4/temp/environment'.
 * Working directory: '/var/tmp/portage/sys-devel/gcc-4.5.4/work/build'
 * S: '/var/tmp/portage/sys-devel/gcc-4.5.4/work/build'


The ebuild environment file is located at http://pastebin.com/2DSajnzi

gcc-config -l wrote:
[1] i686-pc-linux-gnu-4.3.6
[2] i686-pc-linux-gnu-4.4.6
[3] i686-pc-linux-gnu-4.5.4 *


emerge -pqv '=sys-devel/gcc-4.5.4' wrote:
[ebuild R ] sys-devel/gcc-4.5.4 USE="cxx fortran gtk mudflap nls nptl openmp (-altivec) -bootstrap -build -doc (-fixed-point) -gcj -graphite (-hardened) (-libssp) -lto (-multilib) -multislot -nocxx -nopie -nossp -objc -objc++ -objc-gc -test -vanilla"

emerge --info '=sys-devel/gcc-4.5.4' wrote:
Portage 2.1.11.9 (default/linux/x86/10.0/desktop/gnome, gcc-4.5.4, glibc-2.14.1-r3, 3.2.12-gentoo i686)
=================================================================
System Settings
=================================================================
System uname: Linux-3.2.12-gentoo-i686-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_3800+-with-gentoo-2.1
Timestamp of tree: Sat, 03 Nov 2012 22:15:01 +0000
distcc 3.1 i686-pc-linux-gnu [disabled]
ccache version 3.1.7 [enabled]
app-shells/bash: 4.2_p37
dev-java/java-config: 2.1.11-r3
dev-lang/python: 2.6.6-r2, 2.7.2-r3, 3.1.4-r3, 3.2.2
dev-util/ccache: 3.1.7
dev-util/cmake: 2.8.6-r4
dev-util/pkgconfig: 0.27.1
sys-apps/baselayout: 2.1-r1
sys-apps/openrc: 0.9.8.4
sys-apps/sandbox: 2.5
sys-devel/autoconf: 2.13, 2.68
sys-devel/automake: 1.9.6-r2, 1.10.3, 1.11.1
sys-devel/binutils: 2.22-r1
sys-devel/gcc: 4.3.6-r1, 4.4.6-r1, 4.5.4
sys-devel/gcc-config: 1.7.3
sys-devel/libtool: 2.4-r1
sys-devel/make: 3.82-r3
sys-kernel/linux-headers: 3.1 (virtual/os-headers)
sys-libs/glibc: 2.14.1-r3
Repositories: gentoo
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=k8 -fomit-frame-pointer -pipe -mmmx -msse -msse2 -m3dnow"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=k8 -fomit-frame-pointer -pipe -mmmx -msse -msse2 -m3dnow"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch xattr"
FFLAGS="-O2 -march=i686 -pipe"
GENTOO_MIRRORS="ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo ftp://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ ftp://de-mirror.org/distro/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo ftp://ftp.ipv6.uni-muenster.de/pub/linux/distributions/gentoo "
LANG="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de en en_US"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="1usb 32bit 3dnow 3dnowext X a52 aac acl acpi addns ads ahci aio alsa amd apache2 apm automount avahi bash-completion beagle berkdb bonjour branding bzip2 cairo calendar ccache cdda cddb cdr cli colord consolekit coolandquiet cpufreq cracklib crypt cups cupsd custom-cflags custom-optimisazion custom-optimization cxx dbus device-mapper dhcpd distcc djvu dri dts dvb dvd dvdr dvdrw dvi eds emboss encode evo exchange exif fam fat ffmpeg firefox flac floppy fontconfig fortran fuse g3dvl gconf gdbm gdu geolocation gif gnome gnome-keyring gnome-online-accounts gnutls gphoto2 gpm gps gstreamer gtk gtk2 gtk3 hddtemp hdparm httpd iconv id3tag imagemagick ipod java jfs jpeg jpeg2k lastfm lcms ldap libass libnotify lightning lirc live lm_sensors lua lzma mad matroska mdnsresponder-compat mmx mng modules mp3 mp3tunes mp4 mpeg mtp mudflap mysql nautilus ncurses networkmanager nfs nfsv3 nfsv4 nls nonfsv4 nptl nsplugin ntfs nvida nvidia ogg opencl opengl openmp optimization optimized-qmake pam pango pcre pda pdf pmu png policykit ppds pppd prediction pulseaudio qq qt3support qt4 readline reiser4 reiserfs remoteosd samba sata schroedinger sdl sensord session sis skins smb socialweb speekx spell sse sse2 ssh ssl ssse ssse2 startup-notification stream svg syslog t1lib taglib tcl tcpd theora threads tiff tk truetype twolame udev udisks unicode upnp upower usb vamp vcdx vlm vorbis win32codecs winbind wmf wxwidgets x264 x86 xattr xbc xcb xfs xinerama xml xosd xv xvid xvmc zip zivcdinfo zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authz_host dir mime filter auth_basic auth_digest auth_file authz_user cache deflate disk_cache" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="*" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de en en_US" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="pnv nvidia nv nouveau vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset: CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, MAKEOPTS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
Package Settings
=================================================================

sys-devel/gcc-4.5.4 was built with the following:
USE="cxx fortran gtk mudflap nls nptl openmp (-altivec) -bootstrap -build -doc (-fixed-point) -gcj -graphite (-hardened) (-libssp) -lto (-multilib) -multislot -nocxx -nopie -nossp -objc -objc++ -objc-gc -test -vanilla"
CFLAGS="-O2 -march=k8 -pipe"
CXXFLAGS="-O2 -march=k8 -pipe"


emerge --info wrote:
Portage 2.1.11.9 (default/linux/x86/10.0/desktop/gnome, gcc-4.5.4, glibc-2.14.1-r3, 3.2.12-gentoo i686)
=================================================================
System uname: Linux-3.2.12-gentoo-i686-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_3800+-with-gentoo-2.1
Timestamp of tree: Sat, 03 Nov 2012 22:15:01 +0000
distcc 3.1 i686-pc-linux-gnu [disabled]
ccache version 3.1.7 [enabled]
app-shells/bash: 4.2_p37
dev-java/java-config: 2.1.11-r3
dev-lang/python: 2.6.6-r2, 2.7.2-r3, 3.1.4-r3, 3.2.2
dev-util/ccache: 3.1.7
dev-util/cmake: 2.8.6-r4
dev-util/pkgconfig: 0.27.1
sys-apps/baselayout: 2.1-r1
sys-apps/openrc: 0.9.8.4
sys-apps/sandbox: 2.5
sys-devel/autoconf: 2.13, 2.68
sys-devel/automake: 1.9.6-r2, 1.10.3, 1.11.1
sys-devel/binutils: 2.22-r1
sys-devel/gcc: 4.3.6-r1, 4.4.6-r1, 4.5.4
sys-devel/gcc-config: 1.7.3
sys-devel/libtool: 2.4-r1
sys-devel/make: 3.82-r3
sys-kernel/linux-headers: 3.1 (virtual/os-headers)
sys-libs/glibc: 2.14.1-r3
Repositories: gentoo
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=k8 -fomit-frame-pointer -pipe -mmmx -msse -msse2 -m3dnow"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=k8 -fomit-frame-pointer -pipe -mmmx -msse -msse2 -m3dnow"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch xattr"
FFLAGS="-O2 -march=i686 -pipe"
GENTOO_MIRRORS="ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo ftp://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ ftp://de-mirror.org/distro/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo ftp://ftp.ipv6.uni-muenster.de/pub/linux/distributions/gentoo "
LANG="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de en en_US"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="1usb 32bit 3dnow 3dnowext X a52 aac acl acpi addns ads ahci aio alsa amd apache2 apm automount avahi bash-completion beagle berkdb bonjour branding bzip2 cairo calendar ccache cdda cddb cdr cli colord consolekit coolandquiet cpufreq cracklib crypt cups cupsd custom-cflags custom-optimisazion custom-optimization cxx dbus device-mapper dhcpd distcc djvu dri dts dvb dvd dvdr dvdrw dvi eds emboss encode evo exchange exif fam fat ffmpeg firefox flac floppy fontconfig fortran fuse g3dvl gconf gdbm gdu geolocation gif gnome gnome-keyring gnome-online-accounts gnutls gphoto2 gpm gps gstreamer gtk gtk2 gtk3 hddtemp hdparm httpd iconv id3tag imagemagick ipod java jfs jpeg jpeg2k lastfm lcms ldap libass libnotify lightning lirc live lm_sensors lua lzma mad matroska mdnsresponder-compat mmx mng modules mp3 mp3tunes mp4 mpeg mtp mudflap mysql nautilus ncurses networkmanager nfs nfsv3 nfsv4 nls nonfsv4 nptl nsplugin ntfs nvida nvidia ogg opencl opengl openmp optimization optimized-qmake pam pango pcre pda pdf pmu png policykit ppds pppd prediction pulseaudio qq qt3support qt4 readline reiser4 reiserfs remoteosd samba sata schroedinger sdl sensord session sis skins smb socialweb speekx spell sse sse2 ssh ssl ssse ssse2 startup-notification stream svg syslog t1lib taglib tcl tcpd theora threads tiff tk truetype twolame udev udisks unicode upnp upower usb vamp vcdx vlm vorbis win32codecs winbind wmf wxwidgets x264 x86 xattr xbc xcb xfs xinerama xml xosd xv xvid xvmc zip zivcdinfo zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authz_host dir mime filter auth_basic auth_digest auth_file authz_user cache deflate disk_cache" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="*" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de en en_US" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="pnv nvidia nv nouveau vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset: CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, MAKEOPTS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON


I read something aboutboost-issues, may this be a problem?
eselect boost list wrote:
Available boost versions:
(none found)

emerge -qav dev-libs/boost wrote:
[ebuild N ] dev-libs/boost-1.49.0-r2 USE="-debug -doc -icu -mpi -python -static-libs -tools"
[blocks B ] app-admin/eselect-boost ("app-admin/eselect-boost" is blocking dev-libs/boost-1.49.0-r2)

* Error: The above package list contains packages which cannot be
* installed at the same time on the same system.

(dev-libs/boost-1.49.0-r2::gentoo, ebuild scheduled for merge) pulled in by
dev-libs/boost

(app-admin/eselect-boost-0.4::gentoo, installed) pulled in by
app-admin/eselect-boost required by @selected


Could this also be a python-issue?
eselect python list wrote:
Available Python interpreters:
[1] python2.6
[2] python2.7
[3] python3.1
[4] python3.2 *

python-update does not complete without errors.

Do you need more information?
Back to top
View user's profile Send private message
Hu
Watchman
Watchman


Joined: 06 Mar 2007
Posts: 8979

PostPosted: Sun Nov 04, 2012 5:07 pm    Post subject: Re: ERROR: sys-devel/gcc-4.5.4 failed (compile phase): * ema Reply with quote

theoboldt wrote:
Code:

make[4]: Entering directory `/var/tmp/portage/sys-devel/gcc-4.5.4/work/build/i686-pc-linux-gnu/libstdc++-v3/po'
msgfmt -o de.mo /var/tmp/portage/sys-devel/gcc-4.5.4/work/gcc-4.5.4/libstdc++-v3/po/de.po
msgfmt: error while loading shared libraries: libicuuc.so.48: cannot open shared object file: No such file or directory
make[4]: *** [de.mo] Fehler 127

Your msgfmt is linked to an old and now removed version of libicu. Rebuild the containing package, which in this case is sys-devel/gettext. Before rebuilding that package directly, please try a revdep-rebuild, which should identify and fix such breaks automatically. If running revdep-rebuild does not repair your problem, please post back.
theoboldt wrote:

gcc-config -l:
[1] i686-pc-linux-gnu-4.3.6
 [2] i686-pc-linux-gnu-4.4.6
 [3] i686-pc-linux-gnu-4.5.4 *

You have old and presumably unneeded versions of sys-devel/gcc installed. Once your system is in good order, please run emerge --ask --verbose --depclean sys-devel/gcc:4.{3,4} to remove them.

theoboldt wrote:
emerge --info '=sys-devel/gcc-4.5.4' wrote:
Portage 2.1.11.9 (default/linux/x86/10.0/desktop/gnome, gcc-4.5.4, glibc-2.14.1-r3, 3.2.12-gentoo i686)
Your kernel is a bit old. That does not affect the current problem, but should be fixed when you have time.
theoboldt wrote:

I read something aboutboost-issues, may this be a problem?
There are some boost related issues in Gentoo right now, but they do not appear to affect you at this time.
theoboldt wrote:

Could this also be a python-issue?
eselect python list wrote:
Available Python interpreters:
[1] python2.6
[2] python2.7
[3] python3.1
[4] python3.2 *

No, but you have obsolete versions of Python installed. Once your system is fixed, you should run emerge --ask --verbose --depclean dev-lang/python:{2.6,3.1} to remove them. You should keep python2.7 and python3.2.
theoboldt wrote:

python-update does not complete without errors.

Do you need more information?
In a healthy system, python-updater should complete without errors. If it still fails after you are able to rebuild sys-devel/gcc:4.5, please start a new thread with details about the failure of python-updater.
Back to top
View user's profile Send private message
theoboldt
n00b
n00b


Joined: 20 Mar 2012
Posts: 3
Location: Stuttgart, Germany

PostPosted: Sun Nov 04, 2012 5:27 pm    Post subject: Reply with quote

Hu wrote:
Your msgfmt is linked to an old and now removed version of libicu. Rebuild the containing package, which in this case is sys-devel/gettext. Before rebuilding that package directly, please try a revdep-rebuild, which should identify and fix such breaks automatically. If running revdep-rebuild does not repair your problem, please post back.
Shure I tried to run it several times, but the "emerge" statements it created wasn't runable because of different blocks (many kde-related blocks).
So I tried to rebuild some of the packages of the generated statement manually. Some succeeded, some failed. So now I rebuild gettext and post the revdep-rebuild output later.

revdep-rebuild:
Code:
 * Configuring search environment for revdep-rebuild
 * Environment mismatch from previous run, deleting temporary files...

 * Checking reverse dependencies
 * Packages containing binaries and libraries broken by a package update
 * will be emerged.

 * Collecting system binaries and libraries
 * Generated new 1_files.rr
 * Collecting complete LD_LIBRARY_PATH
 * Generated new 2_ldpath.rr
 * Checking dynamic linking consistency
[ 24% ]  *   broken /usr/bin/rdfproc (requires libicudata.so.48
libicui18n.so.48
libicuuc.so.48)
 *   broken /usr/bin/redland-db-upgrade (requires libicudata.so.48
libicui18n.so.48
libicuuc.so.48)
[ 32% ]  *   broken /usr/lib/chromium-browser/chrome (requires libicudata.so.48
libicui18n.so.48
libicuuc.so.48
libwebp.so.2)
 *   broken /usr/lib/chromium-browser/chromedriver (requires libicudata.so.48
libicui18n.so.48
libicuuc.so.48
libwebp.so.2)
[ 33% ]  *   broken /usr/lib/evolution/2.32/plugins/liborg-gnome-audio-inline.so (requires libicudata.so.48
libicui18n.so.48
libicuuc.so.48)
 *   broken /usr/lib/evolution/2.32/plugins/liborg-gnome-evolution-google.so (requires libicudata.so.48
libicui18n.so.48
libicuuc.so.48)
[ 36% ]  *   broken /usr/libexec/gvfs-gdu-volume-monitor (requires libgdu.so.0)
[ 39% ]  *   broken /usr/lib/farsight2-0.0/libmulticast-transmitter.so (requires libicudata.so.48
libicui18n.so.48
libicuuc.so.48)
 *   broken /usr/lib/farsight2-0.0/libnice-transmitter.so (requires libicudata.so.48
libicui18n.so.48
libicuuc.so.48)
 *   broken /usr/lib/farsight2-0.0/librawudp-transmitter.so (requires libicudata.so.48
libicui18n.so.48
libicuuc.so.48)
 *   broken /usr/lib/farsight2-0.0/libshm-transmitter.so (requires libicudata.so.48
libicui18n.so.48
libicuuc.so.48)
[ 46% ]  *   broken /usr/lib/gstreamer-0.10/libfsfunnel.so (requires libicudata.so.48
libicui18n.so.48
libicuuc.so.48)
 *   broken /usr/lib/gstreamer-0.10/libfsrtcpfilter.so (requires libicudata.so.48
libicui18n.so.48
libicuuc.so.48)
 *   broken /usr/lib/gstreamer-0.10/libfsrtpconference.so (requires libicudata.so.48
libicui18n.so.48
libicuuc.so.48)
 *   broken /usr/lib/gstreamer-0.10/libfsvideoanyrate.so (requires libicudata.so.48
libicui18n.so.48
libicuuc.so.48)
[ 47% ]  *   broken /usr/lib/gstreamer-0.10/libgstbluetooth.so (requires libicudata.so.48
libicui18n.so.48
libicuuc.so.48)
[ 56% ]  *   broken /usr/lib/kde4/plasma_engine_statusnotifieritem.so (requires libdbusmenu-qt.so.2)
[ 58% ] gawk: Fatal: Die Datei »/usr/lib/libasprintf.la« kann nicht zum Lesen geöffnet werden (Datei oder Verzeichnis nicht gefunden)
[ 59% ]  *   broken /usr/lib/libdigikamcore.so.2.0.0 (requires libpgf.so.4)
 *   broken /usr/lib/libdigikamdatabase.so.2.0.0 (requires libpgf.so.4)
[ 60% ] gawk: Fatal: Die Datei »/usr/lib/libgettextlib.la« kann nicht zum Lesen geöffnet werden (Datei oder Verzeichnis nicht gefunden)
gawk: Fatal: Die Datei »/usr/lib/libgettextpo.la« kann nicht zum Lesen geöffnet werden (Datei oder Verzeichnis nicht gefunden)
gawk: Fatal: Die Datei »/usr/lib/libgettextsrc.la« kann nicht zum Lesen geöffnet werden (Datei oder Verzeichnis nicht gefunden)
[ 63% ]  *   broken /usr/lib/libgstfarsight-0.10.so.0.9.0 (requires libicudata.so.48
libicui18n.so.48
libicuuc.so.48)
[ 64% ]  *   broken /usr/lib/libjavascriptcoregtk-3.0.so.0.11.2 (requires libicui18n.so.48
libicuuc.so.48)
[ 65% ]  *   broken /usr/lib/libkdeui.so.5.8.0 (requires libdbusmenu-qt.so.2)
 *   broken /usr/lib/libkgeomap.so.1.0.0 (requires libmarblewidget.so.12)
[ 69% ]  *   broken /usr/lib/libwebkitgtk-3.0.so.0.11.2 (requires libicui18n.so.48
libicuuc.so.48)
[ 70% ]  *   broken /usr/lib/libxml2.so.2.7.8 (requires libicuuc.so.48)
[ 82% ]  *   broken /usr/lib/python2.6/site-packages/farsight.so (requires libicudata.so.48
libicui18n.so.48
libicuuc.so.48)
[ 88% ]  *   broken /usr/lib/redland/librdf_storage_mysql.so (requires libicudata.so.48
libicui18n.so.48
libicuuc.so.48)
[ 100% ]
 * Generated new 3_broken.rr
 * Assigning files to packages
 *   /usr/bin/rdfproc -> dev-libs/redland
 *   /usr/bin/redland-db-upgrade -> dev-libs/redland
 *   /usr/lib/chromium-browser/chrome -> www-client/chromium
 *   /usr/lib/chromium-browser/chromedriver -> www-client/chromium
 *   /usr/lib/evolution/2.32/plugins/liborg-gnome-audio-inline.so -> mail-client/evolution
 *   /usr/lib/evolution/2.32/plugins/liborg-gnome-evolution-google.so -> mail-client/evolution
 *   /usr/libexec/gvfs-gdu-volume-monitor -> gnome-base/gvfs
 *   /usr/lib/farsight2-0.0/libmulticast-transmitter.so -> net-libs/farsight2
 *   /usr/lib/farsight2-0.0/libnice-transmitter.so -> net-libs/farsight2
 *   /usr/lib/farsight2-0.0/librawudp-transmitter.so -> net-libs/farsight2
 *   /usr/lib/farsight2-0.0/libshm-transmitter.so -> net-libs/farsight2
 *   /usr/lib/gstreamer-0.10/libfsfunnel.so -> net-libs/farsight2
 *   /usr/lib/gstreamer-0.10/libfsrtcpfilter.so -> net-libs/farsight2
 *   /usr/lib/gstreamer-0.10/libfsrtpconference.so -> net-libs/farsight2
 *   /usr/lib/gstreamer-0.10/libfsvideoanyrate.so -> net-libs/farsight2
 *   /usr/lib/gstreamer-0.10/libgstbluetooth.so -> net-wireless/bluez
 *   /usr/lib/kde4/plasma_engine_statusnotifieritem.so -> kde-base/plasma-workspace
 *   /usr/lib/libdigikamcore.so.2.0.0 -> media-gfx/digikam
 *   /usr/lib/libdigikamdatabase.so.2.0.0 -> media-gfx/digikam
 *   /usr/lib/libgstfarsight-0.10.so.0.9.0 -> net-libs/farsight2
 *   /usr/lib/libjavascriptcoregtk-3.0.so.0.11.2 -> net-libs/webkit-gtk
 *   /usr/lib/libkdeui.so.5.8.0 -> kde-base/kdelibs
 *   /usr/lib/libkgeomap.so.1.0.0 -> media-libs/libkgeomap
 *   /usr/lib/libwebkitgtk-3.0.so.0.11.2 -> net-libs/webkit-gtk
 *   /usr/lib/libxml2.so.2.7.8 -> dev-libs/libxml2
 *   /usr/lib/python2.6/site-packages/farsight.so -> net-libs/farsight2
 *   /usr/lib/redland/librdf_storage_mysql.so -> dev-libs/redland
 * Generated new 4_raw.rr and 4_owners.rr
 * Cleaning list of packages to rebuild
 * Generated new 4_pkgs.rr
 * Assigning packages to ebuilds
 * Generated new 4_ebuilds.rr
 * Evaluating package order
 * Generated new 5_order.rr
 * All prepared. Starting rebuild
emerge --complete-graph=y --oneshot   dev-libs/libxml2:2 dev-libs/redland:0 gnome-base/gvfs:0 kde-base/kdelibs:4 kde-base/plasma-workspace:4 mail-client/evolution:2.0 media-gfx/digikam:4 media-libs/libkgeomap:4 net-libs/farsight2:0 net-libs/webkit-gtk:3 net-wireless/bluez:0 www-client/chromium:0
..........
Calculating dependencies... done!
[ebuild  N     ] app-text/docbook-dsssl-stylesheets-1.79
[ebuild  N     ] dev-libs/boost-1.49.0-r2  USE="-debug -doc -icu -mpi -python -static-libs -tools"
[ebuild  N     ] app-text/docbook-sgml-dtd-3.0-r3
[ebuild     U  ] sys-apps/dbus-1.6.8 [1.4.20]
[ebuild     U  ] dev-libs/dbus-glib-0.100 [0.98]
[ebuild     U  ] dev-libs/libxml2-2.8.0-r2 [2.7.8-r5] USE="lzma%* -icu*"
[ebuild  N     ] dev-libs/libdbusmenu-qt-0.9.2  USE="-debug -doc -test"
[ebuild  N     ] app-text/opensp-1.5.2-r3  USE="nls -doc -static-libs -test"
[ebuild  N     ] app-text/openjade-1.3.2-r3  USE="-static-libs"
[ebuild  N     ] dev-util/gtk-doc-1.18-r1  USE="-debug -doc -emacs -highlight -test -vim"
[ebuild  N     ] gnome-base/libgdu-3.0.2  USE="avahi gnome-keyring -doc"
[ebuild   R    ] net-wireless/bluez-4.99  USE="(-selinux)"
[ebuild     U  ] www-client/chromium-22.0.1229.94 [18.0.1025.168] USE="(-selinux)"
[ebuild   R    ] kde-base/kdelibs-4.8.5
[ebuild     U  ] kde-base/kephal-4.8.5 [4.8.1]
[ebuild     U  ] kde-base/libkworkspace-4.8.5 [4.8.1]
[ebuild     U  ] kde-base/kdepimlibs-4.8.5 [4.8.1]
[ebuild     U  ] kde-base/kactivities-4.8.5 [4.8.1] USE="-semantic-desktop%"
[ebuild     U  ] kde-base/ksysguard-4.8.5 [4.8.1]
[ebuild     U  ] kde-base/solid-runtime-4.8.5 [4.8.1]
[ebuild     U  ] kde-base/plasma-runtime-4.8.5 [4.8.1]
[ebuild     U  ] media-libs/libkgeomap-2.9.0 [2.5.0]
[ebuild     U  ] kde-base/libplasmaclock-4.8.5 [4.8.1]
[ebuild     U  ] kde-base/libplasmagenericshell-4.8.5 [4.8.1]
[ebuild     U  ] kde-base/libtaskmanager-4.8.5 [4.8.1]
[ebuild  NS    ] media-libs/raptor-2.0.8 [1.4.20] USE="curl unicode -debug -json -static-libs"
[uninstall     ] media-libs/raptor-1.4.20
[blocks b      ] media-libs/raptor:0 ("media-libs/raptor:0" is blocking media-libs/raptor-2.0.8)
[ebuild     U  ] dev-libs/rasqal-0.9.28 [0.9.17] USE="crypt%* mhash%* -doc% -static-libs%"
[ebuild     U  ] dev-libs/redland-1.0.15 [1.0.10-r2]
[ebuild  N     ] app-misc/geoclue-0.12.99  USE="gps gtk networkmanager -connman -geonames -gsmloc -hostip -manual -nominatim -plazes -skyhook -static-libs -yahoo-geo"
[ebuild     U  ] kde-base/solid-4.8.5 [4.8.1]
[ebuild     U  ] kde-base/plasma-workspace-4.8.5 [4.8.1]
[ebuild     U  ] media-gfx/digikam-2.9.0 [2.5.0]
[ebuild     U  ] net-libs/libsoup-2.38.1 [2.36.1-r1]
[ebuild     U  ] net-libs/webkit-gtk-1.8.3-r300 [1.6.3-r300] USE="geoloc%* webgl* -webkit2%"
[ebuild     U  ] gnome-base/gvfs-1.12.3 [1.10.1] USE="(-udisks)"
[ebuild     U  ] mail-client/evolution-2.32.3-r1 [2.32.3] USE="-connman%"
[ebuild     U  ] net-libs/farsight2-0.0.31 [0.0.29]
[blocks B      ] app-admin/eselect-boost ("app-admin/eselect-boost" is blocking dev-libs/boost-1.49.0-r2)

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-libs/libxml2:2

  (dev-libs/libxml2-2.7.8-r5::gentoo, installed) pulled in by
    dev-libs/libxml2[icu] required by (www-client/chromium-22.0.1229.94::gentoo, ebuild scheduled for merge)

  (dev-libs/libxml2-2.8.0-r2::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

dev-libs/dbus-glib:0

  (dev-libs/dbus-glib-0.98::gentoo, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (dev-libs/dbus-glib-0.100::gentoo, ebuild scheduled for merge) pulled in by
    >=dev-libs/dbus-glib-0.100 required by (app-misc/geoclue-0.12.99::gentoo, ebuild scheduled for merge)

sys-apps/dbus:0

  (sys-apps/dbus-1.6.8::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-apps/dbus-1.6.2 required by (dev-libs/dbus-glib-0.100::gentoo, ebuild scheduled for merge)

  (sys-apps/dbus-1.4.20::gentoo, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

kde-base/solid:4

  (kde-base/solid-4.8.5::gentoo, ebuild scheduled for merge) pulled in by
    >=kde-base/solid-4.8.5:4[aqua=] required by (kde-base/plasma-workspace-4.8.5::gentoo, ebuild scheduled for merge)

  (kde-base/solid-4.8.1::gentoo, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

net-libs/libsoup:2.4

  (net-libs/libsoup-2.36.1-r1::gentoo, installed) pulled in by
    ~net-libs/libsoup-2.36.1[introspection?] required by (net-libs/libsoup-gnome-2.36.1::gentoo, installed)

  (net-libs/libsoup-2.38.1::gentoo, ebuild scheduled for merge) pulled in by
    >=net-libs/libsoup-2.37.92:2.4[introspection?] required by (net-libs/webkit-gtk-1.8.3-r300::gentoo, ebuild scheduled for merge)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.

 * revdep-rebuild failed to emerge all packages.
 * you have the following choices:
 * - If emerge failed during the build, fix the problems and re-run revdep-rebuild.
 * - Use /etc/portage/package.keywords to unmask a newer version of the package.
 *   (and remove 5_order.rr to be evaluated again)
 * - Modify the above emerge command and run it manually.
 * - Compile or unmerge unsatisfied packages manually,
 *   remove temporary files, and try again.
 *   (you can edit package/ebuild list first)
 * To remove temporary files, please run:
 * rm /var/cache/revdep-rebuild/*.rr

So, how should I go on? Solve the blocking-issues?

Quote:
Your kernel is a bit old. That does not affect the current problem, but should be fixed when you have time.
I know, I wanted to do this after fixing the gcc issue to prevent getting another issue.
Back to top
View user's profile Send private message
Clad in Sky
l33t
l33t


Joined: 04 May 2007
Posts: 778
Location: Germany

PostPosted: Sun Nov 04, 2012 5:59 pm    Post subject: Reply with quote

If it doesn't work you can try emerging gettext manually with:
emerge -1 gettext

The conflicts revdep-rebuild comes up with are annoying. I usually solve similar issues by removing one of the conflicting packages and re-emerge it later.
_________________
Kali Ma
Now it's autumn of the aeons
Dance with your sword
Now it's time for the harvest
Back to top
View user's profile Send private message
theoboldt
n00b
n00b


Joined: 20 Mar 2012
Posts: 3
Location: Stuttgart, Germany

PostPosted: Mon Nov 05, 2012 9:58 am    Post subject: Reply with quote

Clad in Sky wrote:
If i doesn't work you can try emerging gettext manually with:
emerge -1 gettext
I know :)

Quote:
The conflicts revdep-rebuild comes up with are annoying. I usually solve similar issues by removing one of the conflicting packages and re-emerge it later.
Yes, this can help. If there's a conflict, I also try to merge some of the scheduled packets manually. Those packets which don't produce conflicts.

__________________________________________________________________________


Just wanted to say that I fixed my issues, and it took a long time.

I had to switch back from python 2.7 to 2.6 to build a few packages, then switch back to 2.7 and then to 3.2.
I also had to emerge some pakets for executables which were missed during build processes. But finaly I did it. Pfew...
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum